import RPi.GPIO as GPIO
import os
import sys
import time

##########################
# CONFIG START
##########################

# Should be something around 7.5, center position
SERVO_POSITION_OPEN = 7.5

# Depends on the rotation direction of your servo motor
# Slowly increase / decrease the value in 0.1 or 0.2 steps to find the correct rotation value and avoid damage to servo motor
# Total value increase / decrease should be approximately 4.0
# Therefore final values should be around 3.5 or 11.5
SERVO_POSITION_CLOSED = 7.5

# 16 for inner servo, 18 for outer servo
PIN_SERVO_POWER = 16

# 10 for inner servo, 8 for outer servo
PIN_SERVO_DATA = 10

##########################
# CONFIG END
##########################

euid = os.geteuid()
if euid != 0:
    print "Not running as root, using sudo to gain root rights"
    args = ["sudo", sys.executable] + sys.argv + [os.environ]
    os.execlpe("sudo", *args)
else:
    print "Running as root now."

GPIO.setmode(GPIO.BOARD)
GPIO.setup(PIN_SERVO_POWER, GPIO.OUT)
GPIO.output(PIN_SERVO_POWER, GPIO.HIGH)
GPIO.setup(PIN_SERVO_DATA, GPIO.OUT)
servo = GPIO.PWM(PIN_SERVO_DATA, 50)
servo.start(SERVO_POSITION_CLOSED)
time.sleep(0.7)
servo.ChangeDutyCycle(SERVO_POSITION_OPEN)
time.sleep(0.7)
servo.stop()
GPIO.setup(PIN_SERVO_DATA, GPIO.IN, pull_up_down = GPIO.PUD_DOWN)
GPIO.output(PIN_SERVO_POWER, GPIO.LOW)
GPIO.cleanup()